Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
BriGuy
Posts: 67
Registered: ‎09-01-2009
My Device: Blackberry 9000 Bold
My Carrier: Rogers

Re: Signing API for different JDK version 4.5, 5.0, 6.0 on Eclipse: Help!!!

Sounds like your code signing keys are not installed properly.  Here is a link that might help.  http://docs.blackberry.com/en/developers/deliverables/21065/Import_exist_code_sign_key_925822_11.jsp  I had a similar problem to you. I was moving to a new computer and had to import my code signing keys.  It was a little vague but I eventually figured it out.  There is a lot of info here.  If I can remember more details about importing my code signing keys, I'll post again.

Thanks, Brian
--------------------------------------------------------------------------------------
To error is human, but to really mess things up requires admin rights.

If this post has helped, don't be shy and click the kudo's star !!!
Please use plain text.
Contributor
bbcoder
Posts: 11
Registered: ‎12-16-2010
My Device: Not Specified

Re: Signing API for different JDK version 4.5, 5.0, 6.0 on Eclipse: Help!!!

Finally it works, thanks to Brian's help. After I launched sign tool, and manually added the cod file and request, it went out and signed the program. So, I would like to say this thread can be closed as resolved. One last thing not so perfect is that after it signed the cod file, the window could not be dismissed. More accurately, after the sign tool window disappears, Eclipse hangs. I have to kill the process and launch Eclipse again to get it going. Don't know if anyone has such an issue.

 

bbcoder

-------------------------------------------------------------------------------------------------------------

One can always do two beautiful things in life: to save a life and to make a life

Please use plain text.
Developer
BriGuy
Posts: 67
Registered: ‎09-01-2009
My Device: Blackberry 9000 Bold
My Carrier: Rogers

Re: Signing API for different JDK version 4.5, 5.0, 6.0 on Eclipse: Help!!!

I'm glad you finally got it working.  It's frustrating I know.  As Eclipse hangs you would be best to start another thread on that issue.  I have not experienced that problem, but my only guess is to make sure you have the latest Eclipse updates.

 

To close this post, you need to click the "Accept as Solution" button on the bottom right of the post that you feel helped.

Thanks, Brian
--------------------------------------------------------------------------------------
To error is human, but to really mess things up requires admin rights.

If this post has helped, don't be shy and click the kudo's star !!!
Please use plain text.